cascading.management

## Interface MetricsService

All Superinterfaces:
  CascadingService

All Known Implementing Classes:
  CascadingServices.NullMetricsService

    public interface MetricsService
    extends CascadingService

Interface MetricsService provides fine grained hooks for managing various metrics.

### Field Summary

Fields
`static String` `METRICS_SERVICE_CLASS_PROPERTY`

### Method Summary

Methods
`boolean` `compareSet(String[] context, int isValue, int toValue)`
`boolean` `compareSet(String[] context, long isValue, long toValue)`
`boolean` `compareSet(String[] context, String isValue, String toValue)`
`int` `getInt(String[] context)`
`long` `getLong(String[] context)`
`String` `getString(String[] context)`
`void` `increment(String[] context, int amount)`
`void` `set(String[] context, int value)`
`void` `set(String[] context, long value)`
`void` `set(String[] context, String value)`

### Methods inherited from interface cascading.provider.CascadingService

`isEnabled, setProperties, startService, stopService`

### Field Detail

#### METRICS_SERVICE_CLASS_PROPERTY

    static final String METRICS_SERVICE_CLASS_PROPERTY

See Also:
  Constant Field Values

### Method Detail

#### increment

    void increment(String[] context,
                 int amount)

#### set

    void set(String[] context,
           String value)

#### set

    void set(String[] context,
           int value)

#### set

    void set(String[] context,
           long value)

#### getString

    String getString(String[] context)

#### getInt

    int getInt(String[] context)

#### getLong

    long getLong(String[] context)

#### compareSet

    boolean compareSet(String[] context,
                     String isValue,
                     String toValue)

#### compareSet

    boolean compareSet(String[] context,
                     int isValue,
                     int toValue)

#### compareSet

    boolean compareSet(String[] context,
                     long isValue,
                     long toValue)